Last Comment Bug 790364 - When printing calendars in weekly or monthly grid view all tasks are shown as crossed out
: When printing calendars in weekly or monthly grid view all tasks are shown as...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Printing (show other bugs)
: Lightning 1.7
: All All
: -- normal (vote)
: 1.9
Assigned To: Stefan Sitter
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 12:06 PDT by boneee
Modified: 2012-10-08 10:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix typo in tag name (1.99 KB, patch)
2012-10-04 13:13 PDT, Stefan Sitter
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description boneee 2012-09-11 12:06:58 PDT
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2; rv:10.0.1) Gecko/20100101 Firefox/14.0.1
Build ID: 20120907231657

Steps to reproduce:

When printing multiple calendars in either weekly or monthly view all uncompleted tasks are crossed out. The tasks which are completed are not shown at all regardless of 'Completed tasks' button in printing dialogue. 


Actual results:

Reproducible: Always

Steps to Reproduce:
1. Set up a calendar.
2. Add a new task or sync with a server containing some tasks.
3. File > Print > weekly (or monthly) grid.
4. The printout displays all the tasks as completed (crossed out).



Expected results:

Expected Results:  
Tasks should be shown with their real status.
Comment 1 boneee 2012-09-11 12:09:06 PDT
Tested on two computers using Ubuntu 12.04, Thunderbird 15 and Lightning 1.7, both with local and remote calendars (davical).
Comment 2 Stefan Sitter 2012-10-04 13:13:15 PDT
Created attachment 668140 [details] [diff] [review]
fix typo in tag name
Comment 3 Philipp Kewisch [:Fallen] 2012-10-08 09:21:45 PDT
Comment on attachment 668140 [details] [diff] [review]
fix typo in tag name

r=philipp and approval for aurora. If you push this after the merge today, then also for beta.
Comment 4 Stefan Sitter 2012-10-08 10:45:24 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/98e6e8d81c05
Comment 5 Stefan Sitter 2012-10-08 10:46:00 PDT
Pushed to https://hg.mozilla.org/releases/comm-aurora/rev/9fa5ba049018

Note You need to log in before you can comment on or make changes to this bug.